Package org.biojava.utils.bytecode

# Class CodeField

java.lang.Object
org.biojava.utils.bytecode.CodeField

public final class CodeField extends Object
Wrap up details about a field in a Java class file.

Instances of this type will be instantiated by CodeClass instances, using the getField() methods.

Author:
  Thomas Down, Matthew Pocock

## Method Summary

Modifier and Type
Method
Description
`CodeClass`
`getContainingClass()`
Get the class that contains this field.
`String`
`getFullName()`
Get the fully qualified name of the field.
`int`
`getModifiers()`
Get the moddifiers applied to this field.
`String`
`getName()`
Get the name of the field.
`CodeClass`
`getType()`
Get the type of the field.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getName

public String getName()
Get the name of the field.

Returns:
  the name of the field

### getFullName

public String getFullName()
Get the fully qualified name of the field.

Returns:
  the fully qualified name

### getContainingClass

public CodeClass getContainingClass()
Get the class that contains this field.

Returns:
  the containing class

### getType

public CodeClass getType()
Get the type of the field.

Returns:

### getModifiers

public int getModifiers()
Get the moddifiers applied to this field.

Returns:
  the modifiers

### toString

public String toString()

Overrides:
  `toString` in class `Object`